Bio::Tools::Run::Signalp(3)

NAME
Bio::Tools::Run::Signalp

SYNOPSIS
  Build a Signalp factory

  my $factory = Bio::Tools::Run::Signalp->new();
  # Pass the factory a Bio::Seq object
  # @feats is an array of Bio::SeqFeature::Generic objects
  my @feats = $factory->run($seq);

DESCRIPTION
  wrapper module for Signalp program

FEEDBACK

  Mailing Lists
 User feedback is an integral part of the evolution of this and other
 Bioperl modules. Send your comments and suggestions preferably to one
 of the Bioperl mailing lists.  Your participation is much appreciated.

 bioperl-l@bioperl.org          - General discussion
 http://bio.perl.org/MailList.html             - About the mailing lists

  Reporting Bugs
 Report bugs to the Bioperl bug tracking system to help us keep track
 the bugs and their resolution.  Bug reports can be submitted via
 email or the web:

 bioperl-bugs@bioperl.org
 http://bugzilla.bioperl.org/

AUTHOR
 Based on the EnsEMBL module Bio::EnsEMBL::Pipeline::Runnable::Protein::Signalp
 originally written by Marc Sohrmann (ms2@sanger.ac.uk)
 Written in BioPipe by Balamurugan Kumarasamy <savikalpa@fugu-sg.org>
 Contributions by David Vilanova (david.vilanova@urbanet.ch)
                  Shawn Hoon (shawnh@fugu-sg.org)
 Cared for by the Fugu Informatics team (fuguteam@fugu-sg.org)

APPENDIX
 The rest of the documentation details each of the object
 methods. Internal methods are usually preceded with a _

  program_name
 Title   : program_name
 Usage   : $factory>program_name()
 Function: holds the program name
 Returns:  string
 Args    : None

  program_dir
 Title   : program_dir
 Usage   : $factory->program_dir(@params)
 Function: returns the program directory, obtiained from ENV variable.
 Returns:  string
 Args    :

  new
 Title   : new
 Usage   : my $factory= Bio::Tools::Run::Signalp->new();
 Function: creates a new Signalp factory
 Returns:  Bio::Tools::Run::Signalp
 Args    :

  predict_protein_features
 Title   :   predict_protein_features()
 Usage   :   DEPRECATED. Use $factory->run($seq) instead
 Function:   Runs Signalp and creates an array of featrues
 Returns :   An array of Bio::SeqFeature::Generic objects
 Args    :   A Bio::PrimarySeqI

  run
 Title   :   run()
 Usage   :   my $feats = $factory->run($seq)
 Function:   Runs Signalp
 Returns :   An array of Bio::SeqFeature::Generic objects
 Args    :   A Bio::PrimarySeqI

  _input
 Title   :   _input
 Usage   :   $factory->_input($seqFile)
 Function:   get/set for input file
 Returns :
 Args    :

  _run
 Title   :   _run
 Usage   :   $factory->_run()
 Function:   Makes a system call and runs signalp
 Returns :   An array of Bio::SeqFeature::Generic objects
 Args    :

  _writeSeqFile
 Title   :   _writeSeqFile
 Usage   :   $factory->_writeSeqFile($seq)
 Function:   Creates a file from the given seq object
 Returns :   A string(filename)
 Args    :   Bio::PrimarySeqI